name: tasq
description: "A new Flutter project."
publish_to: 'none'
version: 0.1.0

environment:
  sdk: ^3.10.7

dependencies:
  flutter:
    sdk: flutter
  supabase_flutter: ^2.6.0
  flutter_riverpod: ^2.6.1
  go_router: ^14.6.2
  flutter_dotenv: ^5.2.1
  font_awesome_flutter: ^10.7.0
  google_fonts: ^6.2.1
  audioplayers: ^6.1.0
  geolocator: ^13.0.1
  timezone: ^0.9.4
  flutter_map: ^8.2.2
  latlong2: ^0.9.0
  flutter_typeahead: ^4.1.0
  flutter_quill: ^11.5.0
  file_picker: ^10.3.10
  pdf: ^3.11.3
  printing: ^5.10.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0
  flutter_launcher_icons: ^0.13.1

flutter:
  uses-material-design: true
  assets:
    - .env
    - assets/

flutter_launcher_icons:
  android: true
  ios: true
  image_path: assets/tasq_ico.png
  web:
    generate: true
    image_path: assets/tasq_ico.png
    background_color: "#FFFFFF"
    theme_color: "#FFFFFF"
